Subject: Offline Message from sereen zaini: Hi, I was promised an update regarding my
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 07 Jun 2020 11:53:26 -0000

From: sereen zaini <[email-masked]>
Phone: 
Location: , Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/sales/order/view/order_id/1365072/
Department: 

Hi, I was promised an update regarding my order #100129253 that was placed on April 5 (two months ago). So far NAQEL shipped it back to your warehouse due to their terrible service and lack of communication and false claims. This is beyond frustrating at this point and I havent been able to get any tangible actions from mumzworld.. just promises.

Naqel tracking number: 70770688

Please advice as I'm due in a couple of weeks and my order of essentials is still held back.

----
Zopim
https://www.zopim.com